lilypond (2.24.4-5) unstable; urgency=medium

  * Restore extractpdfmark feature.
    Extractpdfmark has been removed from testing on the release
    architectures armel and amhf. (Closes: #1099152)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 28 Feb 2025 23:35:59 +0100

lilypond (2.24.4-4) unstable; urgency=medium

  * Update d/salsa-ci.yml
  * Remove extractpdfmark from Build-Depends.
    The program extractpdfmark is currently no longer available
    on four architectures and has been removed from testing.
    extractpdfmark is useful in order to reduce the size of the
    generated PDF files of lilypond, but it is not required for
    a working installation of lilypond. (Closes: #1096023)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 16 Feb 2025 17:53:06 +0100

lilypond (2.24.4-3) unstable; urgency=medium

  * Switch from imagemagick 6 to imagemagick 7. (Closes: #1089665)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 06 Feb 2025 16:54:12 +0100

lilypond (2.24.4-2) unstable; urgency=medium

  * Extend 0001-Hurd-PATH_MAX.patch to fix lily/relocate.cc too.
    Fixes FTBFS on Hurd since 2.24.0-1, and I finally forwarded the patch
    upstream at https://gitlab.com/lilypond/lilypond/-/merge_requests/2395

 -- Anthony Fok <foka@debian.org>  Wed, 31 Jul 2024 03:56:28 -0600

lilypond (2.24.4-1) unstable; urgency=medium

  * New upstream version 2.24.4
  * Enable the Cairo backend: build LilyPond with libcairo for improved
    SVG output.  Fixes "fatal error: compiled without CAIRO_BACKEND"
    when the -dbackend=cairo command-line option is used.
    Thanks to Jonathan Harker for bringing this new Cairo backend
    and its use in Wikipedia Score extension to our attention.
    Thanks also to S Page for showing me how to enable the Cairo backend.
    (Closes: #1067578)
  * Bump Standards-Version to 4.7.0 (no change)

 -- Anthony Fok <foka@debian.org>  Tue, 30 Jul 2024 01:23:34 -0600

lilypond (2.24.3-1) unstable; urgency=medium

  * New upstream version 2.24.3
  * Remove 0002-Don-t-use-finddevice-in-intermediate-PS-output.patch
    which is now part of LilyPond 2.24.3

 -- Anthony Fok <foka@debian.org>  Fri, 26 Jan 2024 00:11:39 -0700

lilypond (2.24.2-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/rules: Also allow testsuite to fail on hurd-amd64.

  [ Anthony Fok ]
  * Refresh debian/lilypond-doc.lintian-overrides
    for info-document-not-compressed to avoid mismatched-override

 -- Anthony Fok <foka@debian.org>  Mon, 13 Nov 2023 01:28:32 -0700

lilypond (2.24.2-1) unstable; urgency=medium

  * New upstream version 2.24.2 (Closes: #1052485)
  * Rename 0003-Hurd-PATH_MAX.patch to 0001-Hurd-PATH_MAX.patch
  * Apply upstream patch to fix error with ghostscript 10.02.1.
    Backport "Don't use the `finddevice` operator in intermediate Postscript
    output" by Werner Lemberg with code from Ken Sharp so that LilyPond
    builds and works with ghostscript again. The `finddevice` Postscript
    command was removed in the ghostscript 10.02.1 security release.
    For more information, see:
    - https://bugs.ghostscript.com/show_bug.cgi?id=707307
    - https://gitlab.com/lilypond/lilypond/-/issues/6675
    - https://gitlab.com/lilypond/lilypond/-/merge_requests/2160

 -- Anthony Fok <foka@debian.org>  Sun, 12 Nov 2023 16:29:27 -0700

lilypond (2.24.1-2) unstable; urgency=medium

  * debian/tests/control: Add build-essential to Depends
  * Fix Lintian unnecessary-testsuite-autopkgtest-field warning

 -- Anthony Fok <foka@debian.org>  Fri, 24 Feb 2023 06:26:56 -0700

lilypond (2.24.1-1) unstable; urgency=medium

  * New upstream version 2.24.1 (Closes: #1031250)
  * Add explicit build-dependency on libglib2.0-dev to match what is
    in configure.ac
  * Add autopkgtest test to run the LilyPond test suite

 -- Anthony Fok <foka@debian.org>  Wed, 22 Feb 2023 23:19:55 -0700

lilypond (2.24.0-3) unstable; urgency=medium

  * Remove doc packages unneeded dependency on install-info.
    Thanks to Hilmar Preuße for the explanation! (Closes: #1012424)
  * debian/rules: Run "$(MAKE) bytecode" and "$(MAKE) install-bytecode"
    The Scheme files (.scm) should be byte-compiled for reasonable performance.
    See the "Notes for source compilation and packagers" section
    in https://lilypond.org/doc/v2.24/Documentation/changes/index.html
    Thanks to Jonas Hahnfeld for telling me about this major change in 2.24.0!
  * debian/lilypond.install: Add "usr/lib" to install the bytecode objects
    /usr/lib/${DEB_HOST_MULTIARCH}/lilypond/2.24.0/ccache/lily/*.go
  * Exclude the bytecode objects from dh_dwz and dh_strip to avoid errors
  * Add Lintian overrides for bytecode objects for tags
    binary-from-other-architecture, unstripped-binary-or-object
    and shared-library-lacks-prerequisites
  * Add "Depends: fonts-urw-base35" and "Recommends: fonts-texgyre"
    These fonts were shipped with lilypond-fonts in 2.22 but removed in 2.24.
    Thanks to Jonas Hahnfeld for finding the names of the needed font packages!

 -- Anthony Fok <foka@debian.org>  Fri, 03 Feb 2023 18:30:57 -0700

lilypond (2.24.0-2) unstable; urgency=medium

  * debian/rules: Remove "$(MAKE) install-info" to avoid symlink issue.
    Since v2.23.3 (thus v2.24.0), the install-info target behaviour changed
    to copy images instead of using symlink, while install-doc target now
    depends on the install-info-noimages which keeps the old behaviour
    that our Debian packaging desires.  Running "$(MAKE) install-doc" alone
    is sufficient.  This fixes lilypond-doc upgrade error "unable to open
    '/usr/share/info/lilypond/00/lily-12276734.png.dpkg-new': No such file
    or directory".  See https://gitlab.com/lilypond/lilypond/-/issues/6110
    and commit 6e8293f5eef359de1097ef7e3a183fd3ac630fa7 for details.

 -- Anthony Fok <foka@debian.org>  Sat, 28 Jan 2023 17:10:08 -0700

lilypond (2.24.0-1) unstable; urgency=medium

  * New upstream version 2.24.0 (Closes: #1026200)
  * Drop our bundled guile-1.8 and depend on guile-2.2 instead.
    Many thanks to LilyPond development team for asking to keep guile-2.2
    in Debian bookworm, and to Rob Browning and to Debian FTP Masters for
    allowing this to happen!
  * Remove build-dependency on mftrace, which has not been needed since 2008
    (v2.11.38); see upstream commit 20c5afc2bdac32efa2c83d957071d23367ef1405
  * Add build-dependency on texlive-font-utils
  * Remove "Build-Conflicts: fonts-noto-cjk" which was added back in 2017
    (see commit 82bb4a8615a33cc3346a6d7c4da59a492529afb6)
    but thankfully Ghostscript no longer aborts with fonts-noto-cjk now
  * Remove debian/patches/add_dircategories_to_documentation
    as the issue was fixed by John Wheeler in June 2022 for v2.23.10
  * debian/lilypond-data.install: Remove usr/share/lilypond/*/tex
    as upstream has moved ./tex to ./Documentation/tex as this is only used
    for generating LilyPond documentation
  * debian/not-installed: Fix a new dh_missing error by adding
    usr/share/doc/lilypond/html/Documentation/59/lily-22ec2080-violin-1.notes
  * debian/clean: Add out-fonts/ and Documentation/tex/out-www/
  * Update comments regarding the build-time generated install files
    debian/lilypond-doc-html.install and debian/lilypond-doc-pdf.install
  * debian/copyright: Update copyright year to 2023 for myself
  * Bump Standards-Version to 4.6.2 (no change)
  * Revert to using debian/sid as debian-branch for the latest release
  * debian/{control,gbp.conf}: Use a separate debian-branch for previous
    upstream versions (e.g. lilypond-2.22), but keep using debian/sid
    for the latest upstream release
  * Fix Lintian warning build-depends-on-obsolete-package
    by changing the following build-dependencies:
    - libfontconfig1-dev => libfontconfig-dev
    - libfreetype6-dev => libfreetype-dev
  * Update debian/copyright to fix superfluous-file-pattern Lintian warnings
  * Override source-is-missing [Documentation/misc/announce-v2.12.de.html]
    which is a false-positive Lintian warning

 -- Anthony Fok <foka@debian.org>  Sat, 28 Jan 2023 07:23:58 -0700

lilypond (2.22.2-1) unstable; urgency=medium

  * New upstream version 2.22.2
  * Reorder fields in debian/control and debian/copyright
    as would be generated in the next dh-make-golang release after 0.6.0-1
  * Update LilyPond Homepage URL to HTTPS scheme: https://lilypond.org/

 -- Anthony Fok <foka@debian.org>  Fri, 01 Apr 2022 06:01:31 -0600

lilypond (2.22.1-2) unstable; urgency=medium

  * Really include and install README.Debian.security, which was mentioned
    but missing in 2.22.1-1, by actually listing it in debian/lilypond.docs.
    Special thanks to Moritz Mühlenhoff for providing the security notes!

 -- Anthony Fok <foka@debian.org>  Sun, 29 Aug 2021 06:09:14 -0600

lilypond (2.22.1-1) unstable; urgency=medium

  * New upstream version 2.22.1
  * Bump Standards-Version to 4.6.0 (no change)
  * Mark lilypond-{doc-pdf,fonts} "Multi-Arch: foreign"
  * Drop previously backported upstream patches
  * Mark Lilypond as insecure for externally fetched data files
    in the new README.Debian.security file kindly provided by
    fellow Debian Developer and security expert Moritz Mühlenhoff

 -- Anthony Fok <foka@debian.org>  Sat, 21 Aug 2021 06:22:22 -0600

lilypond (2.22.0-10) unstable; urgency=medium

  * debian/rules: Allow "dh_auto_test -a" to fail on hurd-i386 too

 -- Anthony Fok <foka@debian.org>  Tue, 09 Feb 2021 23:09:36 -0700

lilypond (2.22.0-9) unstable; urgency=medium

  * lilypond-doc: Remove stray symlink /usr/share/info/lilypond/user
    which would otherwise block the /usr/share/info/lilypond dir_to_symlink
    conversion since 2.22.0-6 and prevent lilypond-doc from upgrading.
    Thanks to Nicolas Patrois and Gabriele Stilli for reporting the bug.
    (Closes: #981814)

 -- Anthony Fok <foka@debian.org>  Tue, 09 Feb 2021 18:18:33 -0700

lilypond (2.22.0-8) unstable; urgency=medium

  * debian/rules: Move debian/guile.reloc prerequisite
    from override_dh_auto_install-indep override_dh_auto_install-arch.
    Fixes bug introduced in a19f5480 when I relocated
    /usr/share/lilypond/2.20.0/etc/relocate/guile.reloc to
    /usr/lib/$DEB_HOST_MULTIARCH/lilypond/2.22.0/etc/relocate/guile.reloc
    but failed to update debian/rules accordingly.

 -- Anthony Fok <foka@debian.org>  Tue, 02 Feb 2021 14:49:35 -0700

lilypond (2.22.0-7) unstable; urgency=medium

  * Add debian/lilypond-doc.lintian-overrides
    to override info-document-not-compressed error and
    info-document-missing-image-file warnings
  * Fix handling of file names with non-ASCII characters for Guile 2.x.
    See https://gitlab.com/lilypond/lilypond/-/merge_requests/612
    and these cherry-picked patches:
    - 0004-Revert-Issue-4125-Disable-character-set-recognition.patch
    - 0005-Write-input-file-for-Ghostscript-as-UTF-8.patch
    Thanks to Jonas Hahnfeld for the fix.
  * Bundle our own guile-1.8 again, dropping dependency on guile-2.2-dev.
    Core developer Jonas Hahnfeld wrote:
        There are other problems, including the much worse startup time and
        performance.  But you're sold on staying with Guile 2.2 for Debian 11?
        I fear this gives users a wrong impression because it's shipping
        something "half-baked"...
    See https://gitlab.com/lilypond/lilypond/-/issues/6089
    This reverts commit c1a0c9179857599fc495d93f6d7579b64bd127b6,
    with the following changes for LilyPond 2.22 series:
    - Add "component = guile18" to debian/gbp.conf
    - Replace ${env:LILYPOND_VERSION} with * where possible for simplicity
    - Move /usr/bin/lilypond{,-invoke-editor}.real to
      /usr/lib/$DEB_HOST_MULTIARCH/lilypond/2.22.0/bin/lilypond{,-invoke-editor}
      (Closes: #852871)
    - Drop 0101-read_relocation_dir-in-lilypond_datadir-too.patch, and
      relocate /usr/share/lilypond/2.20.0/etc/relocate/guile.reloc
      to /usr/lib/$DEB_HOST_MULTIARCH/lilypond/2.22.0/etc/relocate/guile.reloc
    - Drop 0006-disable-git-diff-check-in-test-baseline.patch
    - debian/rules:
      + Set and export GUILE_CFLAGS, GUILE_LIBS and PKG_CONFIG_PATH too
        so that our copy of libguile.h may be found during LilyPond build
      + Build Guile 1.8 with $(MAKE) -j$(CPU_COUNT) for reduced build time
  * Commit Guile 1.8 source code, extracted to guile18/, to our git repository.
    The guile18/ directory was extracted with the command:
    tar -C guile18 --strip-components=1 -xf ../lilypond_2.22.0.orig-guile18.tar.gz

 -- Anthony Fok <foka@debian.org>  Tue, 02 Feb 2021 13:21:42 -0700

lilypond (2.22.0-6) unstable; urgency=medium

  * debian/control: Build-Depends on fonts-urw-base35 explicitly.
    LilyPond's configure recommends installing "URW++ OTF fonts", and while
    libgs9-common happens to depend on fonts-urw-base35 since 2019-07-24
    with ghostscript (>= 9.27~dfsg-3) for bullseye but not for buster.
  * lilypond-doc.maintscript: dir_to_symlink /usr/share/info/lilypond.
    Fixes Lintian "lilypond-doc: info-document-missing-image-file" warnings.
    This was previously symlink_to_dir, see changelog for 2.18.2-4 from 2014.
  * lilypond-doc.doc-base-special: Remove reference to *.txt files
    which are no longer installed.  Fixes Lintian error "lilypond-doc:
    doc-base-file-references-missing-file lilypond-doc:10
    /usr/share/doc/lilypond/html/Documentation/*.txt*".
  * Refresh and reinstate debian/patches/add_dircategories_to_documentation.
    Fixes Lintian errors info-document-missing-dir-entry and
    info-document-missing-dir-entry, see #648689.  Note that for
    Documentation/{de,en,fr,it}/web.texi, I was unable to apply the patches
    as is, so these files may need to be fixed in the future.
    (Closes: #981491)
  * Remove obsolete debian/preinst (lilypond.preinst)
    that I wrote over 20 years ago to fix my previous packaging error
    regarding LilyPond TeX font installation, but is no longer relevant
    for LilyPond 2.x, and created an unnecessary dependency on tetex-bin
    or texlive-binaries due to its use of kpsewhich...
    Thanks to Mauro Sacchetto for noticing something amiss and reported it.
    (Closes: #943707)

 -- Anthony Fok <foka@debian.org>  Mon, 01 Feb 2021 07:06:06 -0700

lilypond (2.22.0-5) unstable; urgency=medium

  * debian/control: lilypond-doc: Add "Breaks: lilypond-doc-html (<< 2.21)"
    in addition to the Replaces that was added in 2.21.82-1~exp2 and 2.22.0-1
    because "[n]ormally, Breaks should be used in conjunction with Replaces"
    according to Debian Policy 7.6.
    Thanks to Andreas Beckmann for the detailed bug report (Closes: #979406)

 -- Anthony Fok <foka@debian.org>  Tue, 26 Jan 2021 06:00:57 -0700

lilypond (2.22.0-4) unstable; urgency=medium

  * debian/control: Build-depends on imagemagick for kfreebsd-any
    otherwise build would not even pass the configure stage
  * debian/rules: Comment out architecture-specific --disable-optimising
    as it does not seem to be needed for any architecture any more

 -- Anthony Fok <foka@debian.org>  Sun, 24 Jan 2021 00:48:09 -0700

lilypond (2.22.0-3) unstable; urgency=medium

  * debian/rules:
    - Set --enable-optimization on i386 and kfreebsd-i386, and
      set --disable-optimization on hppa and see if it passes the test
    - Add override_dh_auto_test-arch to allow "dh_auto_test -a" to fail
      on hppa, kfreebsd-amd64 and kfreebsd-i386:
      + hppa: fails on snippet-names-e9c0d84b44e6ce39576ac3a756562e43.ly
      + kfreebsd-amd64 and kfreebsd-i386: imagemagick.q16 is missing 
  * debian/control:
    - Skip build-dependency of imagemagick.q16 on kfreebsd-any

 -- Anthony Fok <foka@debian.org>  Sat, 23 Jan 2021 08:03:00 -0700

lilypond (2.22.0-2) unstable; urgency=medium

  * Workaround missing PATH_MAX on Hurd (lily/lily-guile.cc)
    to fix FTBFS on Hurd.  See debian/patches/0003-Hurd-PATH_MAX.patch
  * Revert "debian/control: Build-depend imagemagick-6.q16 instead of
    imagemagick" for this non-experimental build and see if this would
    resolve the BD-Uninstallable status due to "libheif1 depends on missing:
    - libx265-179:kfreebsd-i386 (>= 3.2)" on kfreebsd-amd64 and kfreebsd-i386

 -- Anthony Fok <foka@debian.org>  Fri, 15 Jan 2021 22:58:17 -0700

lilypond (2.22.0-1) unstable; urgency=medium

  * New upstream version 2.22.0 (Closes: #979839, #951801)
  * Remove embedded guile-1.8 and migrate to system guile-2.2
    (Closes: #746005, #852871)
  * debian/gbp.conf: Remove guile18 component
  * debian/{control,rules}: Migrate from python2 to python3
  * debian/rules:
    - Run "make doc" with "-j" option in addition to CPU_COUNT
      as suggested in INSTALL.txt for even faster build
    - Remove "nuke the parser files" workaround
      as lily/out/parser.* no longer exist in upstream source
    - Remove empty override_dh_auto_test-arch
      as the tests no longer fail without built documentation
    - Remove override_dh_auto_test-indep as the added "make test-baseline"
      is not suited for automated Debian builds
    - Try to "git restore configure" in override_dh_auto_clean
  * debian/control:
    - lilypond-doc: Add Replaces: lilypond-doc-html (<< 2.21.82-1~)
      to avoid upgrade error due to web files reorganization
    - Build-depend imagemagick-6.q16 instead of imagemagick.
      "imagemagick" became a dummy package in Debian 9 "stretch",
      and the aspcud resolver used by experimental buildd would install
      graphicsmagick-imagemagick-compat (which Provides: imagemagick)
      which is not that compatible after all and caused lilypond to FTBFS
    - Remove Authors paragraph from package description
      as the development team is much larger than before
    - Bump Standards-Version to 4.5.1 (no change)
  * debian/lilypond.docs: Rename README.txt to README.md as per upstream
  * Adjust documentation install file lists for LilyPond 2.21/2.22:
    - debian/doc_languages.txt: Add PDF package for Portuguese
    - debian/update_doc_packages: Adjust install file lists for new version
    - debian/lilypond-doc.install: Remove the no-longer-existing
      usr/share/doc/lilypond/html/Documentation/*.txt entry
    - Run "debian/rules update-doc-packages"
    - Add debian/not-installed to avoid dh_missing errors with debhelper 13
  * debian/patches: Delete obsolete patches and disable others for now
  * debian/remove_w3c_callback: Recognize https too, to fix Lintian
    privacy-breach-w3c-valid-html errors
  * Adjust debian/lilypond-doc.install and debian/rules
    so that the PNG files stay with lilypond-doc package
  * debian/README.Debian: Minor editing
  * Cherry-pick upstream fixes for potential crashes with Guile 2.2
    - 0001-Protect-against-GC-when-constructing-a-System.patch
    - 0002-System-Initialize-all-member-variables.patch

 -- Anthony Fok <foka@debian.org>  Thu, 14 Jan 2021 02:53:46 -0700

lilypond (2.22.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.22.0
  * debian/control: Remove Authors paragraph from package description
    as the development team is much larger than before.

 -- Anthony Fok <foka@debian.org>  Thu, 14 Jan 2021 02:01:48 -0700

lilypond (2.21.82-1~exp5) experimental; urgency=medium

  * debian/rules: Restore override_dh_auto_install-indep's dependency
    on override_dh_auto_install-arch, which I inadvertently removed
    in commit "Remove embedded guile-1.8 and migrate to system guile-2.2".
    Fixes FTBFS; see #806067 for the original bug report.

 -- Anthony Fok <foka@debian.org>  Wed, 13 Jan 2021 21:58:20 -0700

lilypond (2.21.82-1~exp4) experimental; urgency=medium

  * Cherry-pick upstream fixes for potential crashes with Guile 2.2
    - 0001-Protect-against-GC-when-constructing-a-System.patch
    - 0002-System-Initialize-all-member-variables.patch
    Hopefully this would fix the FTBFS in random places during
    documentation building (Architecture: all) on buildd.debian.org.

 -- Anthony Fok <foka@debian.org>  Thu, 07 Jan 2021 10:40:55 -0700

lilypond (2.21.82-1~exp3) experimental; urgency=medium

  * debian/control: Build-depend imagemagick-6.q16 instead of imagemagick.
    "imagemagick" became a dummy package in Debian 9 "stretch",
    and the aspcud resolver used by experimental buildd would install
    graphicsmagick-imagemagick-compat (which Provides: imagemagick)
    which is not that compatible after all and caused lilypond to FTBFS.

 -- Anthony Fok <foka@debian.org>  Wed, 06 Jan 2021 13:59:14 -0700

lilypond (2.21.82-1~exp2) experimental; urgency=medium

  * lilypond-doc: Add Replaces: lilypond-doc-html (<< 2.21.82-1~)
    to avoid upgrade error due to web files reorganization
  * Bump Standards-Version to 4.5.1 (no change)

 -- Anthony Fok <foka@debian.org>  Wed, 06 Jan 2021 03:22:27 -0700

lilypond (2.21.82-1~exp1) experimental; urgency=medium

  * New upstream version 2.21.82
  * debian/watch: Switch unstable releases for experimental
  * debian/gbp.conf: Switch to debian/experimental and remove guile18 component
  * Remove embedded guile-1.8 and migrate to system guile-2.2
  * debian/{control,rules}: Migrate from python2 to python3
  * debian/lilypond.docs: Rename README.txt to README.md as per upstream
  * debian/rules:
    - Run "make doc" with "-j" option in addition to CPU_COUNT
      as suggested in INSTALL.txt for even faster build
    - Remove "nuke the parser files" workaround
      as lily/out/parser.* no longer exist in upstream source
    - Remove empty override_dh_auto_test-arch
      as the tests no longer fail without built documentation
    - Remove override_dh_auto_test-indep as the added "make test-baseline"
      is not suited for automated Debian builds
  * Adjust documentation install file lists for LilyPond 2.21/2.22:
    - debian/doc_languages.txt: Add PDF package for Portuguese
    - debian/update_doc_packages: Adjust install file lists for new version
    - debian/lilypond-doc.install: Remove the no-longer-existing
      usr/share/doc/lilypond/html/Documentation/*.txt entry
    - Run "debian/rules update-doc-packages"
    - Add debian/not-installed to avoid dh_missing errors with debhelper 13
  * debian/patches: Delete obsolete patches and disable others for now
  * debian/README.Debian: Minor editing
  * debian/remove_w3c_callback: Recognize https too, to fix Lintian
    privacy-breach-w3c-valid-html errors
  * Adjust debian/lilypond-doc.install and debian/rules
    so that the PNG files stay with lilypond-doc package
  * debian/rules: Try to "git restore configure" in override_dh_auto_clean

 -- Anthony Fok <foka@debian.org>  Thu, 31 Dec 2020 19:35:27 -0700

lilypond (2.20.0-4) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Sun, 06 Dec 2020 23:09:18 -0700

lilypond (2.20.0-3) unstable; urgency=medium

  * Fix Lintian error bogus-mail-host-in-debian-changelog
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
  * debian/control: Suggests: python3-lxml.
    Thanks to Benjamin Barenblat for the suggestion. (Closes: #904828)
  * debian/control: Replace old package names in dependencies
  * Split the fonts into a separate lilypond-fonts package (Closes: #87700)
  * Add 0006-disable-git-diff-check-in-test-baseline.patch
    to disable "git diff" check in test-baseline
    to avoid inadvertent Debian build failure with .git directory
  * Add "Rules-Requires-Root: no" to debian/control
  * Update debian/update_doc_packages to wrap Depends list
  * Add new language Portuguese for HTML and PDF doc packages
  * Fix Lintian "debian-watch-uses-insecure-uri" info
  * Fix Lintian "missing-build-dependency-for-dh-addon python2" error
  * Add debian/salsa-ci.yml

 -- Anthony Fok <foka@debian.org>  Sat, 05 Dec 2020 04:53:14 -0700

lilypond (2.20.0-2) unstable; urgency=medium

  * Patch Guile-1.8 to the latest branch_release-1-8 branch
    found in Guile git repository on Savannah, see patches 1801 to 1825.
    In particular, 1812-Fix-stack-growth-direction-check.patch,
    originally written for Autoconf by Paul Eggert for Autoconf
    and pulled into Guile-2.0 in 2011, fixed a build error with
    -O3 back then, and fixes FTBFS with gcc-10 nowadays,
    due to a bug in find_stack_direction() code in configure.in.
    See http://lists.gnu.org/archive/html/bug-autoconf/2011-06/msg00035.html
    for the whole story. (Closes: #966353)
  * Call /usr/share/dh-python/dh_python2 directly
    in debian/rules since /usr/bin/dh_python2 was removed
  * This rebuild allows dh_python2 to generate the now correct dependency
    on python2:all instead of python:all (Closes: #969723)
  * Add debian/patches/.gitignore to re-include *.patch files
    which were excluded by upstream .gitignore file
  * scm: disable embedded-ps and embedded-svg in -dsafe mode, CVE-2020-17353.
    This is a cherry-pick of upstream's fix, see
    http://git.savannah.gnu.org/cgit/lilypond.git/commit/?id=b84ea47
    (Closes: #968993)
  * Take over as Maintainer from Don Armstrong as suggested by Don.
    Thank you Don for your many years of great work, and we look forward
    to your continued contributions as co-maintainer for many years to come!

 -- Anthony Fok <foka@debian.org>  Wed, 09 Sep 2020 15:41:38 -0600

lilypond (2.20.0-1) unstable; urgency=medium

  * New upstream version 2.20.0
  * Merge branch 'debian/experimental' into debian/sid
  * Revert "Adopt upstream patch to fix FTBFS with Ghostscript 9.50"
    as it is already included in 2.20.0 release
  * Refresh debian/patches/use_cstring_and_ctype_includes
  * Update debian/copyright
  * Remove build-dependency on autotools-dev, unneeded since
    debhelper-compat (= 10)

 -- Anthony Fok <foka@debian.org>  Wed, 04 Mar 2020 16:36:44 -0700

lilypond (2.19.81+really-2.18.2-14) unstable; urgency=medium

  [ Adrian Heine ]
  * Replace now-dropped transitional build-dependency
    texlive-generic-recommended with texlive-plain-generic
    (Closes: #941537, #945889)
  * Update debian/watch
  * Override lintian error about interpreter dependency
    "missing-dep-for-interpreter guile" as we bundle our own guile

  [ Anthony Fok ]
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
  * Bump Standards-Version to 4.5.0 (no change)
  * Change debian-branch from "debian" to "debian/sid".
    Also set "pristine-tar = True" in debian/gbp.conf
  * Update debian/watch to use secure https URL
  * Build-Depends on fontconfig for fc-list explicitly
    even though it is installed as an indirect dependency of fontforge
  * Update debian/rules for debhelper compat 12 and later.
    In particular, "dh_install --list-missing" has been removed,
    replaced by dh_missing
  * Adopt upstream patch to fix FTBFS with Ghostscript 9.50
    by using -dNOSAFER to override its new -dSAFER default.
    See 0013-Fix-for-Ghostscript-9.50.patch  (Closes: #948183)

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 04:49:18 -0700

lilypond (2.19.84-1~exp1) experimental; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Update script for doc packages
  * Add Multi-Arch: foreign to pdf packages
  * Fix lintian warning: Remove '--with quilt' from debhelper call
    in debian/rules.
    The package is already using the 3.0 (quilt) source format.

  [ Adrian Heine ]
  * Replace now-dropped transitional build-dependency
    texlive-generic-recommended with texlive-plain-generic
    (Closes: #941537, #945889)

  [ Anthony Fok ]
  * New upstream version 2.19.84
  * debian/changelog: Merge changelog entries from 2.18 branch
  * Rename debian-branch to debian/experimental to comply with DEP14
  * Run wrap-and-sort and "cme fix dpkg" which, beside pretty formatting
    debian/control, debian/copyright and debian/patches/*, also upgrades
    to debhelper-compat (= 12) and bumps Standards-Version to 4.5.0
  * Switch to Python 3
  * Refresh debian/patches/more_debug_output_during_build
  * 0013-Issue-5690-2-Fix-extractpdfmark-with-GhostScript-9.5.patch:
    Cherry-pick and refresh upstream patch to fix FTBFS due to
    Ghostscript 9.50 now enabling -dSAFER by default. (Closes: #948183)
  * Update debian/rules for debhelper compat 12 and later.
    In particular, "dh_install --list-missing" has been removed,
    replaced by dh_missing.
  * debian/control: Remove from Vcs-Git the default "debian" branch,
    and let Salsa serve the new default branch, which is "debian/sid"

 -- Anthony Fok <foka@debian.org>  Thu, 27 Feb 2020 14:27:00 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog lilypond`.
